Skip to main content
Validate Expression Endpoint
curl --request POST \
  --url https://api.ionworks.com/variables/validate-expression \
  --header 'Content-Type: application/json' \
  --data '
{
  "expression": "<string>",
  "model_id": "<string>",
  "config": {},
  "existing_custom_variables": {},
  "new_var_name": "<string>"
}
'
{
  "valid": true,
  "json_value": {},
  "referenced_variables": [],
  "parameters": [],
  "errors": [],
  "warnings": []
}

Body

application/json

Request body for validating a custom variable expression.

expression
string
required
model_id
string | null
config
Config · object
existing_custom_variables
Existing Custom Variables · object
new_var_name
string | null

Response

Successful Response

Result of validating a custom variable expression.

valid
boolean
required
json_value
Json Value · object
referenced_variables
ReferencedVariable · object[]
parameters
ReferencedParameter · object[]
errors
string[]
warnings
string[]